#ifndef 	_NRF905_H_
#define 	_NRF905_H_

typedef unsigned char	INT8U;
typedef unsigned int	INT16U;

#define CH_NO			0x01
#define HFREQ_PLL		0
#define PA_PWR			3
#define RX_RED_PWR		0
#define AUTO_RETRAN		0
#define RX_AWF			4
#define TX_AWF			4
#define RX_PW			32
#define TX_PW			32
#define RX_ADDRESS		(0xCCCCCCCC)L
#define UP_CLK_FREQ		0
#define UP_CLK_EN		0
#define XOF				3
#define CRC_EN			1
#define CRC_MODE		0		

/*
***********************************************************************************************
*								Pin definition, C18 specific
*								Hardware: PIC18LF4550-STK1
***********************************************************************************************
*/

#define TRIS_RACSN		TRISAbits.TRISA5
#define RACSN			LATAbits.LATA5
#define TRIS_SPI_SCK	TRISBbits.TRISB1
#define SPI_SCK			LATBbits.LATB1
#define TRIS_SPI_MOSI	TRISCbits.TRISC7
#define SPI_MOSI		LATCbits.LATC7
#define TRIS_SPI_MISO	TRISBbits.TRISB0
#define SPI_MISO		PORTBbits.RB0

#define TRIS_TXEN		TRISDbits.TRISD7
#define TXEN			LATDbits.LATD7
#define TRIS_TRX_CE		TRISDbits.TRISD6
#define TRX_CE			LATDbits.LATD6
#define TRIS_PWR		TRISDbits.TRISD5
#define PWR				LATDbits.LATD5

#define TRIS_CD			TRISDbits.TRISD4
#define CD				PORTDbits.RD4
#define TRIS_AM			TRISDbits.TRISD3
#define AM				PORTDbits.RD3
#define TRIS_DR			TRISDbits.TRISD2
#define DR				PORTDbits.RD2

extern INT8U TxBuf[32];
extern INT8U RxBuf[32];

/*
***********************************************************************************************
*									FUNCTION PROTOTYPES
***********************************************************************************************
*/
void rfTxPacket(void);
void rfRxPacket(void);
void rfConfig905(void);
void rfSetRxMode(void);
void rfSetChannel(void);


/*
***********************************************************************************************
*									FUNCTION PROTOTYPES
*									 HARDWARE SPECIFIC
***********************************************************************************************
*/
void 	rfInitIO(void);
void 	spiWrite(INT8U dat);
INT8U 	spiRead(void);
void 	rfSetPwrOff(void);

#endif
